var gulp = require('gulp');
var pkg = require('./package.json')
var _tool = require('gulp-load-plugins')();

gulp.task("style", () => {
	gulp.src("res/css/*.css")
		.pipe(_tool.autoprefixer({
			browsers: ['> 5%'],
			cascade: true, //是否美化属性值 默认：true 
			remove: true //是否去掉不必要的前缀 默认：true 
		}))
		.pipe(_tool.csslint('csslintrc.json'))
		.pipe(_tool.csslint.reporter())
		.pipe(_tool.cleanCss())
		.pipe(gulp.dest('dist/css/'));
}
);

gulp.task("script", () => {
	gulp.src("res/js/*.js")
		.pipe(_tool.jshint('jshint.json'))
		.pipe(_tool.jshint.reporter())
		.pipe(_tool.uglify())
		.pipe(gulp.dest('dist/js/'));
}
);

gulp.task('htmllmin', () => {
  	gulp.src('res/html/*.html')
	    .pipe(_tool.htmlmin({collapseWhitespace: true}))
	    .pipe(gulp.dest('dist/html/'))
});

gulp.task('imagemin', () => {
    gulp.src('res/img/*')
        .pipe(_tool.imagemin())
        .pipe(gulp.dest('dist/img/'))
}
);

gulp.task('default', ['style', 'script', 'htmllmin', 'imagemin'], () => {
	console.log("end");
});